<template>
  <div v-html="data"></div>
</template>

<script>
import { htmlView } from "../utils/viewHtml/responsiveEmail/index";
import { scaleEmail } from "../utils/viewHtml/scaledEmail/index";

export default {
  data() {
    return {
      datas: JSON.parse(localStorage.getItem("savedata"))
    };
  },
  watch: {
    $route(to, from) {
      this.$store.dispatch(
        "ACTION_GET_DATA_TOPICK",
        JSON.parse(localStorage.getItem("savedata"))
      );
    }
  },
  created() {
    this.$store.dispatch(
      "ACTION_GET_DATA_TOPICK",
      JSON.parse(localStorage.getItem("savedata"))
    );
  },
  computed: {
    data() {
      if (this.$route.query.type == "Responsive Email") {
        return htmlView();
      } else {
        return scaleEmail();
      }
    }
  },
  methods: {}
};
</script>

<style></style>
